service_client_factory_start_service
service_client_free
service_client_new
service_client_t
SERVICE_CONSTRUCTOR
service_disable_bypass_ssl
service_disable_ssl
service_enable_ssl
service_error_t
service_get_connection
service_receive
service_receive_with_timeout
service_send

## service_client_new()

LIBIMOBILEDEVICE_API service_error_t service_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | service_client_t * | client )

Creates a new service for the specified service descriptor.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will be set to a newly allocated service_client_t upon successful return.

Returns
  SERVICE_E_SUCCESS on success, SERVICE_E_INVALID_ARG when one of the arguments is invalid, or SERVICE_E_MUX_ERROR when connecting to the device failed.